Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 620024 - =dev-python/dbusmock-0.16.9 keyword request
Summary: =dev-python/dbusmock-0.16.9 keyword request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on: 627976
Blocks:
  Show dependency tree
 
Reported: 2017-05-28 15:51 UTC by Mart Raudsepp
Modified: 2018-03-18 00:16 UTC (History)
0 users

See Also:
Package list:
dev-python/dbusmock-0.16.9
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mart Raudsepp gentoo-dev 2017-05-28 15:51:41 UTC
gnome-base/gnome-settings-daemon requires dbusmock for test suite. In 3.22 this was optional, but will be hard required for tests in 3.24. We need to prepare for this in a timely manner as gnome-settings-daemon is a core component of GNOME and de-keywording would be rather disruptive.
However, if you want to avoid it, you can package.use.mask USE=test for gnome-settings-daemon instead and before unmasking the RESTRICT will be converted to RESTRICT="!test? ( test )" or such to avoid the dependency and restrict tests for your arch, while not running the tests, which would be unfortunate.

The gnome-settings-daemon still doesn't use dbusmock though, as some failures and such need still fixing, but dbusmock itself has a test suite itself as well for the keywording testing.
Comment 1 Markus Meier gentoo-dev 2017-06-03 16:15:58 UTC
~arm added.
Comment 2 Sergei Trofimovich (RETIRED) gentoo-dev 2017-07-01 11:20:37 UTC
~ia64 keyworded
Comment 3 Sergei Trofimovich (RETIRED) gentoo-dev 2017-08-08 20:58:58 UTC
~ppc keyworded
Comment 4 Gilles Dartiguelongue gentoo-dev 2017-08-15 23:19:23 UTC
Gnome 3.24 is now in tree. If this is not swiftly keyworded, I'll have to start removing keywords. Thanks for your help. https://qa-reports.gentoo.org/output/gentoo-ci/aa4788643/output.html#gnome-base/gnome-settings-daemon
Comment 5 Gilles Dartiguelongue gentoo-dev 2017-08-15 23:31:16 UTC
In the meantime, I pushed a package.use.mask, see commit a41e6d69673df0bbde7d7d648d0f7dce88877712.
Comment 6 Thomas Deutschmann gentoo-dev Security 2017-08-16 00:18:09 UTC
I experienced a test failure (bug 627976) when I tried to keyword the package for x86. Please tell me if I should ignore the test failure for the moment and process with keywording.
Comment 7 Thomas Deutschmann gentoo-dev Security 2017-08-16 08:48:23 UTC
~x86 added to >=dev-python/dbusmock-0.16.9.

I removed the package.use.mask for x86 as well.
Comment 8 Sergei Trofimovich (RETIRED) gentoo-dev 2017-09-12 08:13:08 UTC
~ppc64 keyworded
Comment 9 Sergei Trofimovich (RETIRED) gentoo-dev 2017-12-17 20:19:58 UTC
~sparc keyworded (thanks to Rolf Eike Beer)
Comment 10 Matt Turner gentoo-dev 2018-03-18 00:16:47 UTC
added ~alpha